import {NameCardCreator} from "../wwwroot/core/namecards/nameCardCreator.js";
import {launchWorker} from "../wwwroot/core/namecards/workerLauncher.js";
import {data} from "../wwwroot/core/appData.js";

const templatePath = "./wwwroot/assets/name-card-template.png";
const avatarPath = "./tests/assets/avatar-test.png";
const name = "Aude Vaiselle";


try{
    const creator = new NameCardCreator(templatePath);

    await creator.getWelcomeCard(avatarPath, name);
    console.log("Generation successful ✅")
} catch (error) {
    console.log(error);
}


